package com.ruoyi.interfaces.mapper;

import java.util.List;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.interfaces.domain.MdModelInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 模型信息Mapper接口
 * 
 * @author 朱得糠
 * @date 2025-07-31
 */
@DataSource(DataSourceType.SLAVE)
public interface MdModelInfoMapper 
{
    /**
     * 查询模型信息
     * 
     * @param mdid 模型信息主键
     * @return 模型信息
     */
    public MdModelInfo selectMdModelInfoByMdid(String mdid);

    /**
     * 查询模型信息列表
     * 
     * @param mdModelInfo 模型信息
     * @return 模型信息集合
     */
    public List<MdModelInfo> selectMdModelInfoList(MdModelInfo mdModelInfo);

    /**
     * 新增模型信息
     * 
     * @param mdModelInfo 模型信息
     * @return 结果
     */
    public int insertMdModelInfo(MdModelInfo mdModelInfo);

    /**
     * 修改模型信息
     * 
     * @param mdModelInfo 模型信息
     * @return 结果
     */
    public int updateMdModelInfo(MdModelInfo mdModelInfo);

    /**
     * 删除模型信息
     * 
     * @param mdid 模型信息主键
     * @return 结果
     */
    public int deleteMdModelInfoByMdid(String mdid);

    /**
     * 批量删除模型信息
     * 
     * @param mdids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMdModelInfoByMdids(String[] mdids);

    int updateMdModelInfoAudit(@Param("mdids") String[] mdids,@Param("audit") String audit);
}
